/*
 *   Copyright (C) 2014 David Edmundson <davidedmundson@kde.org>
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License version 2,
 *   or (at your option) any later version, as published by the Free
 *   Software Foundation
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details
 *
 *   You should have received a copy of the GNU General Public
 *   License along with this program; if not, write to the
 *   Free Software Foundation, Inc.,
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#include <QCoreApplication>
#include <QDebug>
#include <QTimer>

class MyObject : public QObject
{
    Q_OBJECT
public:
    MyObject(QObject *parent = 0):
        QObject(parent)
    {
        connect(&m_timer, SIGNAL(timeout()), this, SLOT(slot1()));
        m_timer.start(500);
    }

public Q_SLOTS:
    void slot1() { qDebug() << "slot 1" << QObject::sender(); slot2(); }
    void slot2() { qDebug() << "slot 2" << QObject::sender();}
private:
    QTimer m_timer;
};


int main(int argc, char ** argv)
{
    QCoreApplication app(argc, argv);
    new MyObject(0);

    return app.exec();
}

#include "state.moc"

